=== modified file 'plugin/blackhole/ha_blackhole.cc'
--- plugin/blackhole/ha_blackhole.cc	2009-12-03 07:41:29 +0000
+++ plugin/blackhole/ha_blackhole.cc	2009-12-04 10:17:07 +0000
@@ -29,8 +29,6 @@
 using namespace std;
 using namespace google;
 
-static const string engine_name("BLACKHOLE");
-
 #define BLACKHOLE_EXT ".blk"
 
 static const char *ha_blackhole_exts[] = {
@@ -381,7 +379,7 @@
 static int blackhole_init(drizzled::plugin::Registry &registry)
 {
 
-  blackhole_engine= new BlackholeEngine(engine_name);
+  blackhole_engine= new BlackholeEngine("BLACKHOLE");
   registry.add(blackhole_engine);
   
   pthread_mutex_init(&blackhole_mutex, MY_MUTEX_INIT_FAST);

=== modified file 'plugin/blackhole/plugin.ini'
--- plugin/blackhole/plugin.ini	2009-11-10 20:47:10 +0000
+++ plugin/blackhole/plugin.ini	2009-12-04 10:17:07 +0000
@@ -1,8 +1,6 @@
 [plugin]
-name=blackhole
 title=Blackhole Storage Engine
 description=Basic Write-only Read-never tables
 load_by_default=yes
 sources=ha_blackhole.cc
 headers=ha_blackhole.h
-static=yes

=== added directory 'plugin/blackhole/tests'
=== added directory 'plugin/blackhole/tests/r'
=== renamed file 'tests/r/blackhole.result' => 'plugin/blackhole/tests/r/blackhole.result'
=== added directory 'plugin/blackhole/tests/t'
=== added file 'plugin/blackhole/tests/t/blackhole-master.opt'
--- plugin/blackhole/tests/t/blackhole-master.opt	1970-01-01 00:00:00 +0000
+++ plugin/blackhole/tests/t/blackhole-master.opt	2009-11-12 00:44:37 +0000
@@ -0,0 +1,1 @@
+--plugin_add=blackhole

=== renamed file 'tests/t/blackhole.test' => 'plugin/blackhole/tests/t/blackhole.test'
=== modified file 'plugin/csv/ha_tina.cc'
--- plugin/csv/ha_tina.cc	2009-12-02 07:51:35 +0000
+++ plugin/csv/ha_tina.cc	2009-12-04 10:17:07 +0000
@@ -55,8 +55,6 @@
 
 using namespace std;
 
-static const string engine_name("CSV");
-
 /*
   unsigned char + unsigned char + uint64_t + uint64_t + uint64_t + uint64_t + unsigned char
 */
@@ -221,7 +219,7 @@
 static int tina_init_func(drizzled::plugin::Registry &registry)
 {
 
-  tina_engine= new Tina(engine_name);
+  tina_engine= new Tina("CSV");
   registry.add(tina_engine);
 
   pthread_mutex_init(&tina_mutex,MY_MUTEX_INIT_FAST);

=== modified file 'plugin/csv/plugin.ini'
--- plugin/csv/plugin.ini	2009-11-10 20:47:10 +0000
+++ plugin/csv/plugin.ini	2009-12-04 10:17:07 +0000
@@ -1,8 +1,6 @@
 [plugin]
-name=csv
 title=CSV Storage Engine
 description=Stores tables in text CSV format
 load_by_default=yes
-sources=transparent_file.cc ha_tina.cc
 headers=ha_tina.h transparent_file.h
-static=yes
+sources=ha_tina.cc transparent_file.cc

=== added directory 'plugin/csv/tests'
=== added directory 'plugin/csv/tests/r'
=== renamed file 'tests/r/csv.result' => 'plugin/csv/tests/r/csv.result'
=== renamed file 'tests/r/csv_alter_table.result' => 'plugin/csv/tests/r/csv_alter_table.result'
=== renamed file 'tests/r/csv_not_null.result' => 'plugin/csv/tests/r/csv_not_null.result'
=== added directory 'plugin/csv/tests/t'
=== added file 'plugin/csv/tests/t/csv-master.opt'
--- plugin/csv/tests/t/csv-master.opt	1970-01-01 00:00:00 +0000
+++ plugin/csv/tests/t/csv-master.opt	2009-11-12 00:44:36 +0000
@@ -0,0 +1,1 @@
+--plugin_add=csv

=== renamed file 'tests/t/csv.test' => 'plugin/csv/tests/t/csv.test'
--- tests/t/csv.test	2009-06-25 06:48:11 +0000
+++ plugin/csv/tests/t/csv.test	2009-11-12 00:44:36 +0000
@@ -1,10 +1,4 @@
 #
-# Test for the CSV engine
-#
-
---source include/have_csv.inc
-
-#
 # Simple select test
 #
 

=== renamed file 'tests/t/csv_alter_table.test' => 'plugin/csv/tests/t/csv_alter_table.test'
--- tests/t/csv_alter_table.test	2009-06-16 01:14:34 +0000
+++ plugin/csv/tests/t/csv_alter_table.test	2009-11-12 00:44:36 +0000
@@ -10,8 +10,6 @@
 # Last modified:  2008-01-06
 #-----------------------------------------------------------------------------
 
---source include/have_csv.inc
-
 #############################################################################
 # Testcase csv_alter_table.1: Positive test for ALTER table 
 #                             

=== renamed file 'tests/t/csv_not_null.test' => 'plugin/csv/tests/t/csv_not_null.test'
--- tests/t/csv_not_null.test	2009-06-16 01:14:34 +0000
+++ plugin/csv/tests/t/csv_not_null.test	2009-11-12 00:44:36 +0000
@@ -10,8 +10,6 @@
 # Last modified:  2008-01-04
 #-----------------------------------------------------------------------------
 
---source include/have_csv.inc
-
 #############################################################################
 # Testcase csv_not_null.1:  CREATE TEMPORARY TABLE for CSV Engine requires explicit
 #                           NOT NULL for each column

=== modified file 'plugin/multi_thread/plugin.ini'
--- plugin/multi_thread/plugin.ini	2009-11-10 20:47:10 +0000
+++ plugin/multi_thread/plugin.ini	2009-11-12 00:45:29 +0000
@@ -1,7 +1,5 @@
 [plugin]
-name=multi_thread
 headers=multi_thread.h
 title=Multi-Thread Scheduler
 description=One Thread Per Connection Scheduler
 load_by_default=yes
-static=yes

=== modified file 'plugin/pool_of_threads/plugin.ini'
--- plugin/pool_of_threads/plugin.ini	2009-11-10 20:47:10 +0000
+++ plugin/pool_of_threads/plugin.ini	2009-12-04 10:17:07 +0000
@@ -1,11 +1,11 @@
 [plugin]
-name=pool_of_threads
 title=Pool of Threads Scheduler
 description=Pool of Threads Scheduler
 sources=pool_of_threads.cc session_scheduler.cc
-headers=session_scheduler.h pool_of_threads.h
+headers=pool_of_threads.h session_scheduler.h
 load_by_default=yes
 cxxflags=${PROTOSKIP_WARNINGS}
 ldflags=${LTLIBEVENT}
 build_conditional="x$ac_cv_libevent" = "xyes"
-static=yes
+#uncomment when pool_of_threads shutdown is fixed
+testsuite=disable

=== added directory 'plugin/pool_of_threads/tests'
=== added directory 'plugin/pool_of_threads/tests/r'
=== renamed file 'tests/r/pool_of_threads.result' => 'plugin/pool_of_threads/tests/r/pool_of_threads.result'
=== added directory 'plugin/pool_of_threads/tests/t'
=== added file 'plugin/pool_of_threads/tests/t/pool_of_threads-master.opt'
--- plugin/pool_of_threads/tests/t/pool_of_threads-master.opt	1970-01-01 00:00:00 +0000
+++ plugin/pool_of_threads/tests/t/pool_of_threads-master.opt	2009-11-12 00:44:38 +0000
@@ -0,0 +1,1 @@
+--plugin_add=pool_of_threads --scheduler=pool_of_threads

=== renamed file 'tests/t/pool_of_threads.test' => 'plugin/pool_of_threads/tests/t/pool_of_threads.test'
--- tests/t/pool_of_threads.test	2008-12-06 22:41:03 +0000
+++ plugin/pool_of_threads/tests/t/pool_of_threads.test	2009-11-12 00:44:38 +0000
@@ -1,5 +1,16 @@
-# Start with thread_handling=pool-of-threads
-# and run a number of tests
-
--- source include/common-tests.inc
-
+# 
+# Verify that the single_thread scheduler actually can process queries
+#
+
+select PLUGIN_NAME from information_schema.plugins where is_active="YES" and plugin_type="Scheduler";
+
+--disable_warnings
+DROP TABLE IF EXISTS t1;
+--enable_warnings
+CREATE TABLE t1
+(
+  some_text VARCHAR(100) NOT NULL
+);
+INSERT INTO t1 VALUES ("I love testing");
+SELECT some_text FROM t1;
+DROP TABLE t1;

=== modified file 'plugin/single_thread/plugin.ini'
--- plugin/single_thread/plugin.ini	2009-11-10 20:47:10 +0000
+++ plugin/single_thread/plugin.ini	2009-12-04 10:17:07 +0000
@@ -1,7 +1,7 @@
 [plugin]
-name=single_thread
 headers=single_thread.h
 title=Single Thread Scheduler
 description=Single Thread Scheduler
 load_by_default=yes
-static=yes
+#uncomment when single_thread shutdown is fixed
+testsuite=disable

=== added directory 'plugin/single_thread/tests'
=== added directory 'plugin/single_thread/tests/r'
=== added file 'plugin/single_thread/tests/r/single_thread.result'
--- plugin/single_thread/tests/r/single_thread.result	1970-01-01 00:00:00 +0000
+++ plugin/single_thread/tests/r/single_thread.result	2009-11-12 00:44:37 +0000
@@ -0,0 +1,13 @@
+select PLUGIN_NAME from information_schema.plugins where is_active="YES" and plugin_type="Scheduler";
+PLUGIN_NAME
+single_thread
+DROP TABLE IF EXISTS t1;
+CREATE TABLE t1
+(
+some_text VARCHAR(100) NOT NULL
+);
+INSERT INTO t1 VALUES ("I love testing");
+SELECT some_text FROM t1;
+some_text
+I love testing
+DROP TABLE t1;

=== added directory 'plugin/single_thread/tests/t'
=== added file 'plugin/single_thread/tests/t/single_thread-master.opt'
--- plugin/single_thread/tests/t/single_thread-master.opt	1970-01-01 00:00:00 +0000
+++ plugin/single_thread/tests/t/single_thread-master.opt	2009-11-12 00:44:37 +0000
@@ -0,0 +1,1 @@
+--plugin_add=single_thread --scheduler=single_thread

=== added file 'plugin/single_thread/tests/t/single_thread.test'
--- plugin/single_thread/tests/t/single_thread.test	1970-01-01 00:00:00 +0000
+++ plugin/single_thread/tests/t/single_thread.test	2009-11-12 00:44:37 +0000
@@ -0,0 +1,16 @@
+# 
+# Verify that the single_thread scheduler actually can process queries
+#
+
+select PLUGIN_NAME from information_schema.plugins where is_active="YES" and plugin_type="Scheduler";
+
+--disable_warnings
+DROP TABLE IF EXISTS t1;
+--enable_warnings
+CREATE TABLE t1
+(
+  some_text VARCHAR(100) NOT NULL
+);
+INSERT INTO t1 VALUES ("I love testing");
+SELECT some_text FROM t1;
+DROP TABLE t1;

